declare const _default: {
    title: string;
    component: import("vue").DefineSetupFnComponent<Record<string, any>, {}, {}, Record<string, any> & {}, import("vue").PublicProps> & (new () => {
        $slots: Readonly<{
            icon(): any;
            default(): any;
        }> & {
            icon(): any;
            default(): any;
        };
    });
    tags: string[];
    args: {
        buttonAction: string;
        buttonSize: string;
        buttonType: string;
        class: string;
        href: string;
        icon: any;
        isDisabled: boolean;
        isLoading: boolean;
        target: string;
        variant: string;
    };
    argTypes: {
        buttonAction: {
            type: string;
            description: string;
        };
        buttonSize: {
            control: {
                type: string;
            };
            type: string;
            options: string[];
            description: string;
        };
        buttonType: {
            control: {
                type: string;
            };
            type: string;
            options: string[];
            description: string;
        };
        class: {
            description: string;
        };
        href: {
            control: {
                type: string;
            };
            description: string;
        };
        icon: {
            control: {
                type: string;
            };
            description: string;
        };
        isDisabled: {
            control: {
                type: string;
            };
            description: string;
        };
        isLoading: {
            control: {
                type: string;
            };
            desctiption: string;
        };
        target: {
            control: {
                type: string;
            };
            type: string;
            options: string[];
            description: string;
        };
        variant: {
            control: {
                type: string;
            };
            type: string;
            options: string[];
            description: string;
        };
    };
};
export default _default;
export declare const Basic: any;
export declare const WithIcon: any;
export declare const IconOnlyButton: any;
export declare const FullWidthButton: any;
